{ lib, ... }:
let
  inherit (lib)
    mkEnableOption
    mkOption
    types
    ;
in
{
  options.machine.mail = {
    enable = mkEnableOption "Mail";
    domain = mkOption {
      type = types.nullOr types.str;
      default = null;
      description = "Domain name";
    };
    fqdn = mkOption {
      type = types.nullOr types.str;
      default = null;
      description = "fqdn";
    };
  };
}
